
Summary:	A powerful batch renamer for KDE
Name:		krename
Version:	5.0.2
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/KDE5
Url:		http://www.krename.net/
Source0:	https://download.kde.org/stable/krename/%{version}/src/%{name}-%{version}.tar.xz
#-------------------------------------------------
BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: lib64exiv2-devel
BuildRequires: lib64freetype6-devel
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5completion-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5crash-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5iconthemes-devel
BuildRequires: lib64kf5jobwidgets-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64kitemviews-devel
BuildRequires: lib64kjs-devel
BuildRequires: lib64podofo-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: lib64taglib-devel
BuildRequires: qtbase5-common-devel
BuildRequires: lib64qt5concurrent-devel
#-------------------------------------------------

%description
KRename is a powerful batch renamer for KDE. It allows you to easily
rename hundreds or even more files in one go. The filenames can be
created by parts of the original filename, numbering the files or
accessing hundreds of informations about the file, like creation
date or Exif informations of an image.

%files -f %{name}.lang
%doc AUTHORS README.md
%{_kf5_bindir}/%{name}
%{_kf5_services}/ServiceMenus/*.desktop
%{_kf5_applicationsdir}/*.desktop
%{_kf5_datadir}/metainfo/org.kde.krename.appdata.xml
%{_kf5_iconsdir}/*/*/apps/*.png

#-------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_kf5
%make_build

%install
rm -rf %buildroot
%make_install -C build

#menu
desktop-file-install --vendor="" \
     --add-category="X-MandrivaLinux-System-FileTools" \
     --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}


%changelog
* Mon Sep 19 2022 tex - 5.0.2-2pclos2022
- rebuild against updates

* Thu Sep 01 2022 tex - 5.0.2-1pclos2022
- new version

* Sun Dec 20 2020 pp <pp> 5.0.1-1pclos2021
- update

* Wed Feb 06 2019 tex - 5.0.0-3pclos2019
- rebuild against updates

* Thu May 03 2018 tex - 5.0.0-2pclos2018
- rebuild against updates

* Fri Feb 23 2018 bb2 <bb2> - 5.0.0-1pclos2018
- new version
